com.ibm.openpages.api.security

## Interface IObjectPermission

-     public interface IObjectPermission

  Interface for object-level access rights. These access rights are defined for a specific type definition.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCanAssociate()` Returns associate permission.
    `boolean` | `getCanDelete()` Returns delete permission.
    `boolean` | `getCanRead()` Returns read permission.
    `boolean` | `getCanWrite()` Returns write permission.
    `Id` | `getId()` Returns the Id for this object-level permission.
    `ITypeDefinition` | `getPermissionType()` Returns the object type definition that this permission grants access to.
    `IFolder` | `getRootFolder()` Returns root folder associated to permission.
    `Id` | `getRootFolderId()` Returns Id of root folder associated to permission.
    `ITypeDefinition` | `getTypeDefinition()` Returns the type definition associated to this ObjectPermissions Role Template type.

- - ### Method Detail

    - #### getTypeDefinition

          ITypeDefinition getTypeDefinition()

      Returns the type definition associated to this ObjectPermissions Role Template type.
      Returns:
        ITypeDefinition

    - #### getPermissionType

          ITypeDefinition getPermissionType()

      Returns the object type definition that this permission grants access to.
      Returns:
        ITypeDefinition

    - #### getId

          Id getId()

      Returns the Id for this object-level permission.
      Returns:
        Id

    - #### getCanRead

          boolean getCanRead()

      Returns read permission.
      Returns:
        boolean

    - #### getCanWrite

          boolean getCanWrite()

      Returns write permission.
      Returns:
        boolean

    - #### getCanDelete

          boolean getCanDelete()

      Returns delete permission.
      Returns:
        boolean

    - #### getCanAssociate

          boolean getCanAssociate()

      Returns associate permission.
      Returns:
        boolean

    - #### getRootFolderId

          Id getRootFolderId()

      Returns Id of root folder associated to permission.
      Returns:
        Id

    - #### getRootFolder

          IFolder getRootFolder()

      Returns root folder associated to permission.
      Returns:
        IFolder

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.